DROP TRIGGER IF EXISTS check_cedula_familiar;

DELIMITER $$

CREATE TRIGGER
  check_cedula_familiar
BEFORE INSERT
  ON Familiar FOR EACH ROW

BEGIN
  DECLARE
    cant_cedula INT;

  SELECT
    COUNT(cedula_fam)
  INTO
    cant_cedula
  FROM
    Familiar
  WHERE
    cedula_fam = new.cedula_fam;

  IF(cant_cedula > 0) THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'El familiar ya se encuentra registrado.';
  END IF;
END;
$$`bd2_202225_g4`

DELIMITER ;