DROP TRIGGER IF EXISTS check_cedula_trabajador;

DELIMITER $$

CREATE TRIGGER
  check_cedula_trabajador
BEFORE INSERT
  ON Trabajador FOR EACH ROW

BEGIN
  DECLARE
    cant_cedula INT;

  SELECT
    COUNT(cedula)
  INTO
    cant_cedula
  FROM
    Trabajador
  WHERE
    cedula = new.cedula;

  IF(cant_cedula > 0) THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'El trabajador ya se encuentra registrado.';
  END IF;
END;
$$

DELIMITER ;