DROP TRIGGER IF EXISTS check_reposo;

DELIMITER $$

CREATE TRIGGER
  check_reposo
BEFORE INSERT
  ON Reposo FOR EACH ROW

BEGIN
  DECLARE
    cant_cod_reposo INT;

  SELECT
    COUNT(cod_reposo)
  INTO
    cant_cod_reposo
  FROM
    Reposo
  WHERE
    cod_reposo = new.cod_reposo;

  IF(cant_cod_reposo > 0) THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'El trabajador ya se encuentra en reposo.';
  END IF;
END;
$$

DELIMITER ;