DROP TRIGGER IF EXISTS check_cedula;

DELIMITER $$

CREATE TRIGGER
  check_cedula
BEFORE INSERT
  ON Usuario FOR EACH ROW

BEGIN
  DECLARE
    cant_cedula INT;

  SELECT
    COUNT(cedula)
  INTO
    cant_cedula
  FROM
    Usuario
  WHERE
    cedula = new.cedula;

  IF(cant_cedula > 0) THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'El usuario ya se encuentra registrado.';
  END IF;
END;
$$

DELIMITER ;
