DROP TRIGGER IF EXISTS check_equals_emails;

DELIMITER $$

CREATE TRIGGER
  check_equals_emails
BEFORE INSERT
  ON Usuario FOR EACH ROW

BEGIN
  DECLARE cant_cedula INT;

  SELECT
    COUNT(cedula)
  INTO
    cant_cedula
  FROM
    Usuario
  WHERE
    correo = new.correo;

  IF (cant_cedula > 0) THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'El email introducido ya se encuentra registrado.';
  END IF;
END;

$$

DELIMITER ;
